**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/26.3/vault-objects/object-record-attachments/retrieve-object-record-attachments-export-results

# Retrieve Object Record Attachments Export Results

Retrieve the results of the job requested by the [Export Object Record Attachments](/commercial/vault-api/api-reference/26.3/vault-objects/object-record-attachments/export-object-record-attachments) endpoint. Returns `SUCCESS` only if the job is complete. Check status using the [Retrieve Job Status](/commercial/vault-api/api-reference/26.3/jobs/retrieve-job-status) endpoint.

<Endpoint path="/api/{version}/vobjects/{object_name}/attachments/actions/export/{job_id}/results" method="GET" />

## Headers

| Name | Description |
| --- | --- |
| `Accept` | `application/json` |

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The name of the object from which attachments were exported. |
| `job_id` | The job ID included in the [Export Object Record Attachments](/commercial/vault-api/api-reference/26.3/vault-objects/object-record-attachments/export-object-record-attachments) response. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {AUTH_VALUE}" \
https://myvault.veevavault.com/api/v26.3/vobjects/product__v/attachments/actions/export/1221701/results
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "data": {
        "name": "1636883-1221701-product__v",
        "filename": "1636883-1221701-product__v.tar.gz",
        "record_count": 2,
        "attachment_count": 3,
        "size": 139197,
        "fileparts": 1,
        "filepart_details": [
            {
                "name": "1636883-1221701-product__v.001",
                "filename": "1636883-1221701-product__v.tar.gz.001",
                "filepart": 1,
                "size": 139197,
                "md5checksum": "6b9b52f6fd5800a665e5a93e3bb7c871",
                "url": "/api/v26.3/vobjects/product__v/attachments/files/1636883-1221701-product__v.001"
            }
        ]
    }
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the following metadata:

<FieldTable>
| Name | Description |
| --- | --- |
| `name` | The name of the attachment export file, excluding the extension. The name has the following format: `{user_id}-{job_id}-{object_name}`, where `user_id` is the ID of the user that requested the export. For example, `2419535-1069501-product__v`. |
| `filename` | The name of the export file, with the following format: `{user_id}-{job_id}-{object_name}.tar.gz`, where `user_id` is the ID of the user that requested the export. For example, `2419535-1069501-product__v.tar.gz`. |
| `record_count` | The number of object records included in the export. |
| `attachment_count` | The number of attachment files included in the export. |
| `size` | The size of the export file in bytes. |
| `fileparts` | The number of file parts for the export file. Vault splits files greater than 1 GB into multiple file parts. If the export file is less than 1 GB, Vault creates one file part. |
| `filepart_details` | A list of all file parts and their metadata, including the name. Use the `name` field to download the file part with the [Download Object Record Attachments Export File](/commercial/vault-api/api-reference/26.3/vault-objects/object-record-attachments/download-object-record-attachments-export-file) endpoint. |
</FieldTable>

---

**Previous:** [Export Object Record Attachments](/commercial/vault-api/api-reference/26.3/vault-objects/object-record-attachments/export-object-record-attachments)  
**Next:** [Download Object Record Attachments Export File](/commercial/vault-api/api-reference/26.3/vault-objects/object-record-attachments/download-object-record-attachments-export-file)